#ifndef BL_SOE_
#define BL_SOE_

#include "chargControlTypes.h"
#include "inFlash.h"
#include "comm_types.h"
#include "flash.h"



void eventsOrderRecordStartInit(void);
void setEventsOrderRecord(void);
void readEventsOrderRecord(uint16_t offset, uint8_t *data);
void insertEventsOrderRecord(eventsOrderRecordMode mode);
void cleanEventsOrderRecord(void);


uint16_t getSoeDataInfoSize(void);


#endif
